libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::internal::parameterized_invocation Class Reference

`#include <transaction_base.hxx>`

## Public Member Functions

| parameterized_invocation (connection_base &, const std::string &query)
parameterized_invocation & | operator() ()
template<typename T >
parameterized_invocation & | operator() (const T &v)
template<typename T >
parameterized_invocation & | operator() (const T &v, bool nonnull)
result | exec ()

## Constructor & Destructor Documentation

pqxx::internal::parameterized_invocation::parameterized_invocation | ( | connection_base & | c,
|  | const std::string & | query
| ) |  |

## Member Function Documentation

pqxx::result pqxx::internal::parameterized_invocation::exec | ( |  | ) |

References pqxx::internal::scoped_array< T >::get().

parameterized_invocation& pqxx::internal::parameterized_invocation::operator() | ( |  | ) |

template<typename T >

parameterized_invocation& pqxx::internal::parameterized_invocation::operator() | ( | const T & | v | ) |

template<typename T >

parameterized_invocation& pqxx::internal::parameterized_invocation::operator() | ( | const T & | v,
|  | bool | nonnull
| ) |  |

The documentation for this class was generated from the following files:

- transaction_base.hxx
- transaction_base.cxx